## org.apache.http.impl.nio.codecs
Class DefaultHttpResponseWriter

    java.lang.Object
      org.apache.http.impl.nio.codecs.AbstractMessageWriter<HttpResponse>
          org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter

All Implemented Interfaces:
  NHttpMessageWriter<HttpResponse>

    @NotThreadSafe
    public class DefaultHttpResponseWriter

extends AbstractMessageWriter<HttpResponse>

Default `NHttpMessageWriter` implementation for `HttpResponse`s.

Since:
  4.1

Field Summary

Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`lineBuf, lineFormatter, sessionBuffer`

Constructor Summary
`DefaultHttpResponseWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)`

Method Summary
`protected void` `writeHeadLine(HttpResponse message)` Writes out the first line of `HttpMessage`.

Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter
`reset, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpResponseWriter

    public DefaultHttpResponseWriter(SessionOutputBuffer buffer,
                                     LineFormatter formatter,
                                     HttpParams params)

Method Detail

### writeHeadLine

    protected void writeHeadLine(HttpResponse message)
                          throws IOException

  Description copied from class: `AbstractMessageWriter`
  Writes out the first line of `HttpMessage`.

  Specified by:
    `writeHeadLine` in class `AbstractMessageWriter<HttpResponse>`
  Parameters:
    `message` - HTTP message.
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.